csslib 1.0.0 copy "csslib: ^1.0.0" to clipboard
csslib: ^1.0.0 copied to clipboard

A library for parsing and analyzing CSS (Cascading Style Sheets).

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add csslib

With Flutter:

 $ flutter pub add csslib

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  csslib: ^1.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:csslib/parser.dart';
import 'package:csslib/visitor.dart';
42
likes
140
pub points
100%
popularity

Publisher

verified publishertools.dart.dev

A library for parsing and analyzing CSS (Cascading Style Sheets).

Repository (GitHub)
View/report issues

Topics

#css

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

source_span

More

Packages that depend on csslib